Bug 25249 - When viewing a patron's modification log we should see both the MEMBERS and CIRCULATION modules
Summary: When viewing a patron's modification log we should see both the MEMBERS and C...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 19791 25250
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-22 12:36 UTC by Nick Clemens
Modified: 2020-05-08 21:50 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25249: (bug 19791 follow-up) Display Circulation log when showing patron's log (1.93 KB, patch)
2020-04-22 14:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25249: (bug 19791 follow-up) Display Circulation log when showing patron's log (2.07 KB, patch)
2020-04-27 07:23 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 25249: (bug 19791 follow-up) Display Circulation log when showing patron's log (2.13 KB, patch)
2020-04-27 09:57 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-04-22 12:36:55 UTC
When viewing a patron if you click the 'Modification log' tab you are presetned with both their circulation and members logs:
https://staff.arcadiapl.bywatersolutions.com/cgi-bin/koha/tools/viewlog.pl?do_it=1&modules=MEMBERS&modules=CIRCULATION&object=152309&src=circ

However, in bug 19791 the modules were locked to 'MEMBERS' if the src=circ

We need to add CIRCULATION in as well
Comment 1 Jonathan Druart 2020-04-22 14:00:38 UTC
Created attachment 103480 [details] [review]
Bug 25249: (bug 19791 follow-up) Display Circulation log when showing patron's log

When viewing a patron if you click the 'Modification log' tab you are presetned with both their circulation and members logs:
https://staff.arcadiapl.bywatersolutions.com/cgi-bin/koha/tools/viewlog.pl?do_it=1&modules=MEMBERS&modules=CIRCULATION&object=152309&src=circ

However, in bug 19791 the modules were locked to 'MEMBERS' if the src=circ

We need to add CIRCULATION in as well

Test plan:
For master follow the test plan on bug 25250.

Bug 24982 is not in stable branch, so test plan for stable branches:
1. Modify a patron, add them a fine, and do a checkout
2. Click the "Modification logs"
=> You see the Patrons and Circulation logs
3. Click submit
=> You see all patron logs only
4. Apply this patch
5. Click the "Modification logs"
=> You see the Patrons and Circulation logs
6. Click submit
=> You see the Patrons and Circulation logs
Comment 2 Frédéric Demians 2020-04-27 07:23:10 UTC
Created attachment 103737 [details] [review]
Bug 25249: (bug 19791 follow-up) Display Circulation log when showing patron's log

When viewing a patron if you click the 'Modification log' tab you are presetned with both their circulation and members logs:
https://staff.arcadiapl.bywatersolutions.com/cgi-bin/koha/tools/viewlog.pl?do_it=1&modules=MEMBERS&modules=CIRCULATION&object=152309&src=circ

However, in bug 19791 the modules were locked to 'MEMBERS' if the src=circ

We need to add CIRCULATION in as well

Test plan:
For master follow the test plan on bug 25250.

Bug 24982 is not in stable branch, so test plan for stable branches:
1. Modify a patron, add them a fine, and do a checkout
2. Click the "Modification logs"
=> You see the Patrons and Circulation logs
3. Click submit
=> You see all patron logs only
4. Apply this patch
5. Click the "Modification logs"
=> You see the Patrons and Circulation logs
6. Click submit
=> You see the Patrons and Circulation logs

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Comment 3 Nick Clemens 2020-04-27 09:57:44 UTC
Created attachment 103745 [details] [review]
Bug 25249: (bug 19791 follow-up) Display Circulation log when showing patron's log

When viewing a patron if you click the 'Modification log' tab you are presetned with both their circulation and members logs:
https://staff.arcadiapl.bywatersolutions.com/cgi-bin/koha/tools/viewlog.pl?do_it=1&modules=MEMBERS&modules=CIRCULATION&object=152309&src=circ

However, in bug 19791 the modules were locked to 'MEMBERS' if the src=circ

We need to add CIRCULATION in as well

Test plan:
For master follow the test plan on bug 25250.

Bug 24982 is not in stable branch, so test plan for stable branches:
1. Modify a patron, add them a fine, and do a checkout
2. Click the "Modification logs"
=> You see the Patrons and Circulation logs
3. Click submit
=> You see all patron logs only
4. Apply this patch
5. Click the "Modification logs"
=> You see the Patrons and Circulation logs
6. Click submit
=> You see the Patrons and Circulation logs

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2020-04-27 10:45:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-08 21:50:29 UTC
missing dependencies - not backported to 19.11.x